<?php
$t = "Мои комментарии";
include_once '../core/core.php';
if (!$user->auth()){
	include_once '../core/head.php';
	echo '<div class="error">Необходимо пройти войти в систему для посещения данной страницы.</div>';
	echo h();
	include_once '../core/foot.php';
	die();
}
$id = isset($_GET["id"]) && !empty($_GET["id"])?$core->FilterString($_GET["id"]):false;
if ($id && preg_match("#^([A-z0-9])+$#ui", $id) && !$act){
	if ($db->Count("comments","WHERE `sid` = '".$user->uid."' AND `aid` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Данный индентификатор комментариев не существует.</div>';
	} else {
		$t = 'Комментарии '.$id;
		include_once '../core/head.php';
		$max = 10;
		$k_post = $db->Count("comments","WHERE `sid` = '".$user->uid."' AND `aid` = '".$id."'");
		$k_page = $core->k_page($k_post,$max);
		$page = $core->page($k_page);
		$start = $max*$page-$max;
		$gb = $db->Query("SELECT * FROM `comments` WHERE `sid` = '".$user->uid."' AND `aid` = '".$id."' ORDER BY `cid` DESC LIMIT $start, $max"); 
		while ($g = mysqli_fetch_assoc($gb)){
			$u = $db->getObject("SELECT * FROM `users` WHERE `sid` = '".$user->uid."' AND `id` = '".$g["uid"]."'");
			echo '<div class="text"><div class="line"><span class="nick"><a class="text" href="/users.lm?id='.$u->id.'">'.$u->login.'</a> <a class="text" href="?id='.$g["cid"].'&act=del">[удл]</a></span><span class="count">'.$core->RealTime($g["timeadd"]).'</span></div><div class="sms">'.$core->drawString($g["sms"]).'</div></div>';
		}
		if($k_page>1) echo $core->str('?id='.$id."&",$k_page,$page);
		echo l("/com.lm?id=".$id."&act=erase","Отчистить комментарии","trash","link",false,"Удаляет все комментарии для данной записи");
		echo b("/com.lm");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
} elseif ($id && preg_match("#^([A-z0-9])+$#ui", $id) && $act == "erase"){
	if ($db->Count("comments","WHERE `sid` = '".$user->uid."' AND `aid` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Данный индентификатор комментариев не существует.</div>';
	} else {
		$t = 'Отчистка комментариев';
		if (isset($_POST["ok"])){
			$db->Delete("comments","WHERE `sid` = '".$user->uid."' AND `aid` = '".$id."'");
			include_once '../core/head.php';
			echo '<div class="success">Отчистка успешно выполнена.</div>';
			echo b("/com.lm");
			echo hcp();
			include_once '../core/foot.php';
			die();
		}
		include_once '../core/head.php';
		if ($core->isBooleanError()){
			foreach ($core->showError() as $csE){
				echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
			}	
		}
		echo '<div class="title">Отчистка комментариев</div>';
		echo '<form method="POST">
		Вы действительно хотите отчистить комментарии по индентификатору: '.$id.'<br><input type="submit" name="ok" value="Да, удалить"></form>';
		echo b("/com.lm?id=".$id);
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
} elseif (intval($id) != 0 && $act == "del"){
	if ($db->Count("comments","WHERE `sid` = '".$user->uid."' AND `cid` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Данный индентификатор комментариев не существует.</div>';
	} else {
		$t = "Удаление комментария";
		$data = $db->getObject("SELECT * FROM `comments` WHERE `sid` = '".$user->uid."' AND `cid` = '".$id."'");
		if (isset($_POST["ok"])){
			$db->Delete("comments","WHERE `sid` = '".$user->uid."' AND `cid` = '".$id."'");
			include_once '../core/head.php';
			echo '<div class="success">Комментарий успешно удален.</div>';
			echo b("/com.lm?id=".$data->aid);
			echo hcp();
			include_once '../core/foot.php';
			die();
		}
		include_once '../core/head.php';
		echo '<div class="title">Удаление комментария</div>';
		echo '<div class="warning">Вы хотите удалить комментарий: "<b><i>'.$data->sms.'</i></b>"?</div>';
		echo '<form method="POST">
		<input type="submit" name="ok" value="Да, удалить"></form>';
		echo b("/com.lm?id=".$id);
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
}
include_once '../core/head.php';
echo '<div class="title">Последнии комментарии</div>';
if ($db->Count("comments","WHERE `sid` = '".$user->getData()->id."'") == 0){
	echo '<div class="error">Комментариев пока что нету</div>';
}

$max = 10;
$k_post = $db->Count("comments","WHERE `sid` = '".$user->getData()->id."'");
$k_page = $core->k_page($k_post,$max);
$page = $core->page($k_page);
$start = $max*$page-$max;

$data = $db->Query("SELECT DISTINCT(`aid`) FROM `comments` WHERE `sid` = '".$user->getData()->id."' ORDER BY `aid` DESC LIMIT $start, $max"); 
while ($d = mysqli_fetch_assoc($data)){
	echo l("/com.lm?id=".$d["aid"],$d["aid"],"bubble","link",false,false);
}
if($k_page>1) echo $core->str('?',$k_page,$page);
echo hcp();
include_once '../core/foot.php';
?>